Installiere unsere App 🪄 Klicke auf das -Symbol oben rechts in der Adressleiste.

Pixel

GET https://okk.link/api/pixels/
curl --request GET \
--url 'https://okk.link/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Der Suchbegriff.
search_by Optional String Das Feld, in dem gesucht werden soll. Erlaubte Werte: name, pixel.
type Optional String Erlaubte Werte: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Ergebnisse ab diesem Datum filtern. Format: Y-m-d H:i:s.
datetime_end Optional String Ergebnisse bis zu diesem Datum filtern. Format: Y-m-d H:i:s.
order_by Optional String Das Feld, nach dem Ergebnisse sortiert werden sollen. Erlaubte Werte: pixel_id, datetime, last_datetime, name.
order_type Optional String Die Sortierung der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Integer Die Seitennummer, für die du Ergebnisse abrufen möchtest. Standard ist 1.
results_per_page Optional Integer Wie viele Ergebnisse pro Seite angezeigt werden sollen. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "Example",
            "name": "Example",
            "pixel": "Example",
            "last_datetime": null,
            "datetime": "2026-09-17 00:09:17"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://okk.link/api/pixels?page=1",
        "last": "https://okk.link/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://okk.link/api/pixels?page=1"
    }
}
GET https://okk.link/api/pixels/{pixel_id}
curl --request GET \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-17 00:09:17"
    }
}
POST https://okk.link/api/pixels
Parameter Details Beschreibung
type Erforderlich String Erlaubte Werte: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Erforderlich String -
pixel Erforderlich String -
curl --request POST \
--url 'https://okk.link/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-17 00:09:17"
    }
}
POST https://okk.link/api/pixels/{pixel_id}
Parameter Details Beschreibung
type Optional String Erlaubte Werte: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Optional String -
pixel Optional String -
curl --request POST \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-17 00:09:17"
    }
}
DELETE https://okk.link/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \